unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Math, ExtCtrls, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Konec1: TMenuItem;
    Kresli1: TMenuItem;
    Parabola1: TMenuItem;
    StatusBar1: TStatusBar;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Button3: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Image1: TImage;
    function Parabola(x1:extended):Longint;
    function YAxis(x2:Longint):Longint;
    procedure Konec1Click(Sender: TObject);
    procedure Parabola1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  a, c, code: integer;
  x, y, m: Longint;
  b: extended;

implementation

{$R *.DFM}

function TForm1.Parabola(x1:extended):Longint;
var
   pom: extended;
begin
     pom := x1 - b;
     pom := Power(pom,(2/3));
     Result := Round((a * m * pom)+(c * m));
end;

function TForm1.YAxis(x2:Longint):Longint;
var
   pom: extended;
begin
     pom := (x2-228)/m;
     pom := Form1.Parabola(pom);
     Result := 245 - Round(pom);
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
     Form1.Close;
end;

procedure TForm1.Parabola1Click(Sender: TObject);
begin
     Form1.Image1.Visible := False;
     Form1.Color := clBtnFace;
     Form1.Panel1.Visible := True;
     Form1.Edit1.Visible := True;
     Form1.Edit2.Visible := True;
     Form1.Edit3.Visible := True;
     Form1.Edit4.Visible := True;
     Form1.Label1.Visible := True;
     Form1.Label2.Visible := True;
     Form1.Label3.Visible := True;
     Form1.Label4.Visible := True;
     Form1.Button1.Visible := True;
     Form1.Button3.Visible := True;
     Canvas.Brush.Color := clBlack;
     Canvas.Pen.Color := clWhite;
     Canvas.Pen.Width := 3;
     Canvas.Rectangle(0,100,457,385);
     Canvas.Pen.Color := clYellow;
     Canvas.Pen.Width := 1;
     Canvas.MoveTo(228,100);
     Canvas.LineTo(228,385);
     Canvas.MoveTo(0,245);
     Canvas.LineTo(457,245);
     Form1.StatusBar1.SimpleText := 'Zadejte koeficienty    a, b, c    a mtko (poet pixl na jednotku osy).';
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     Canvas.Pen.Color := clWhite;
     Canvas.Pen.Width := 3;
     Canvas.Rectangle(0,100,457,385);
     Canvas.Pen.Color := clYellow;
     Canvas.Pen.Width := 1;
     Canvas.MoveTo(228,100);
     Canvas.LineTo(228,385);
     Canvas.MoveTo(0,245);
     Canvas.LineTo(457,245);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
   i: Longint;
begin
     Val(Form1.Edit1.Text,a,code);
     Val(Form1.Edit2.Text,b,code);
     Val(Form1.Edit3.Text,c,code);
     Val(Form1.Edit4.Text,m,code);
     Canvas.Pen.Color := clLime;
     Canvas.Pen.Width := 1;
     x := Round((b * m)+228+1);
     y := Form1.YAxis(x);
     i := 0;
     repeat
     begin
          repeat
          begin
               Inc(x);
               y := Form1.YAxis(x);
          end
          until (y >= 100) or (y <= 385) or (x = 457);
          if x < 457 then
          begin
               Canvas.MoveTo(x,y);
               repeat
               begin
                    Canvas.LineTo(x,y);
                    Inc(x);
                    y := Form1.YAxis(x);
               end
               until (y <= 100) or (y >= 385) or (x = 457);
          end;
     end
     until x = 457;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     Form1.Color := clWhite;
end;

end.
